import React from 'react'
require('./index.css')
class SanCodeComponent extends React.Component{
     constructor(props){
         super(props)
     }

     render(){
        return <div className={'breakageContent'} style={{width:'100%',height:'100%',background:'black'}}>
                    <div className={"breakageSanCodeHeader font32  colfff "}>
                        <i className={"iconfont middle icon font50 icon-circle-left circleIcon fl"} onClick={this.changCodePage.bind(this)}/>
                        <span className={"font40"}>请把遗留货品的条形码,对准前置摄像头进行扫描</span>
                        <span className={'font30'}>条形码残缺?</span>
                    </div>
                    <div className="SanCodeFrame">

                    </div>
                    <div className="handMovementCode">
                         <p className="colfff font30">or<span className="colff7860" style={{marginLeft:'15px'}} onClick={this.changeSanCodePage.bind(this)}>手动输入条形码</span></p>
                    </div>
            </div>
     }
     changCodePage(){
        this.props.changeCodePage(true)
    }
    changeSanCodePage(){
        this.props.changeSanCodePage('HandCode')
    }
}

export default SanCodeComponent